### Method

# GdkPixbuf PixbufAnimation get_static_image

deprecated: 2.44

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_animation_get_static_image (
      GdkPixbufAnimation* animation
    )

#### Description [src]

Retrieves a static image for the animation.

If an animation is really just a plain image (has only one frame), this function returns that image.

If the animation is an animation, this function returns a reasonable image to use as a static unanimated image, which might be the first frame, or something more sophisticated depending on the file format.

If an animation hasn’t loaded any frames yet, this function will return `NULL`.

Deprecated since: 2.44

Use a different image loading library for animatable assets.

#### Return value

Type: `GdkPixbuf`

Unanimated image representing the animation.

The returned data is owned by the instance.